> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Shifts

> Returns a paginated list of all shift objects.




## OpenAPI

````yaml get /v2/shifts
openapi: 3.0.0
info:
  title: Shifts API
  version: '2.0'
  description: Retrieve information on work shifts and hours spent on individual tasks.
servers: []
security:
  - basicAuth: []
paths:
  /v2/shifts:
    get:
      summary: List all shifts
      description: Returns a paginated list of all shift objects.
      parameters:
        - in: query
          name: account
          schema:
            type: string
            format: uuid
          description: Filter by account ID.
        - in: query
          name: user
          schema:
            type: string
            format: uuid
          description: Filter by user ID.
        - in: query
          name: from_start_datetime
          schema:
            type: string
            format: date-time
          description: >-
            Filter by shifts with a `start_datetime` on or after this timestamp
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).
        - in: query
          name: to_start_datetime
          schema:
            type: string
            format: date-time
          description: >-
            Filter by shifts with a `start_datetime` on or before this timestamp
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601).
        - in: query
          name: limit
          schema:
            type: integer
          description: >-
            Number of shift objects returned <a
            href="/api-guide/overview#pagination">per page</a>. Default: 10.
            Maximum: 200.
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            The URL returned in `next` or `previous` used to retrieve another
            [page](/api-guide/overview#pagination) of results.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the next page of results, if available.
                  previous:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the previous page of results, if available.
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Shift'
              example:
                next: >-
                  https://api-sandbox.argyle.com/v2/shifts?cursor=ZXhhbXBsZV9jdXJzb3I
                previous: null
                results:
                  - id: 0183c13c-5d3d-2d36-4d6d-5ac7a7eb2b2d
                    account: 0187c66e-e7e5-811c-b006-2232f00f426a
                    employer: Bullseye
                    created_at: '2023-04-27T17:37:43.977Z'
                    updated_at: '2023-04-27T17:37:43.977Z'
                    status: completed
                    type: hourly
                    start_datetime: '2023-04-26T00:00:00Z'
                    end_datetime: '2023-04-26T10:00:00Z'
                    all_datetimes:
                      shift_start: '2023-04-26T00:00:00Z'
                      shift_end: '2023-04-26T10:00:00Z'
                      breaks:
                        - break_start: '2023-04-26T04:30:00Z'
                          break_end: '2023-04-26T05:30:00Z'
                    hours: '9.0'
                    timezone: America/New_York
                    location: 605 Far West Ave Suite 970, New York, NY 10019, US
                    metadata: {}
                  - id: 0183c5c3-2c9e-f2d1-3c7d-3ac5b73d3a5d
                    account: 0187c66e-e7e5-811c-b006-2232f00f426a
                    employer: Bullseye
                    created_at: '2023-04-28T17:38:43.977Z'
                    updated_at: '2023-04-28T17:38:43.977Z'
                    status: scheduled
                    type: hourly
                    start_datetime: '2023-04-29T00:00:00Z'
                    end_datetime: '2023-04-29T10:00:00Z'
                    all_datetimes:
                      shift_start: '2023-04-29T00:00:00Z'
                      shift_end: '2023-04-29T10:00:00Z'
                      breaks: []
                    hours: '10.0'
                    timezone: America/New_York
                    location: 605 Far West Ave Suite 970, New York, NY 10019, US
                    metadata: {}
components:
  schemas:
    Shift:
      type: object
      example:
        id: 0183d245-b5c1-2a6d-5e37-1b831d765c5d
        account: 0187c66e-e7e5-811c-b006-2232f00f426a
        employer: Whole Goods
        created_at: '2023-04-27T07:02:01.279Z'
        updated_at: '2023-04-27T07:02:01.279Z'
        status: completed
        type: hourly
        start_datetime: '2023-04-26T00:00:00Z'
        end_datetime: '2023-04-26T08:00:00Z'
        all_datetimes:
          shift_start: '2023-04-26T00:00:00Z'
          shift_end: '2023-04-26T08:00:00Z'
          breaks:
            - break_start: '2023-04-26T03:36:00Z'
              break_end: '2023-04-26T04:24:00Z'
        hours: '7.2'
        timezone: America/New_York
        location: 302 East N St, New York, NY 10014, US
        metadata: null
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the shift.
        account:
          type: string
          format: uuid
          description: Unique ID of the account associated with the shift.
        employer:
          type: string
          description: Employer name.
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the shift object was created.
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            a property value of the shift object most recently changed.
        status:
          type: string
          enum:
            - scheduled
            - in_progress
            - completed
            - cancelled
          description: Current state of the shift.
        type:
          type: string
          enum:
            - hourly
            - services
          description: The type of shift.
        start_datetime:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the shift started.
        end_datetime:
          type: string
          format: date-time
          description: >-
            Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) when
            the shift ended.
        all_datetimes:
          type: object
          description: >-
            Contains information on when the shift started and ended, and any
            breaks taken in between.
          properties:
            shift_start:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                when the shift started.
            shift_end:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                when the shift ended.
            breaks:
              type: array
              items:
                type: object
                properties:
                  break_start:
                    type: string
                    format: date-time
                    description: >-
                      Timestamp ([ISO
                      8601](https://en.wikipedia.org/wiki/ISO_8601)) when the
                      break started.
                  break_end:
                    type: string
                    format: date-time
                    description: >-
                      Timestamp ([ISO
                      8601](https://en.wikipedia.org/wiki/ISO_8601)) when the
                      break ended.
        hours:
          type: string
          description: >-
            Time duration of the shift, subtracting breaks. Up to four decimal
            places.
        timezone:
          type: string
          description: >-
            Timezone ([IANA](https://www.iana.org/time-zones)) where the shift
            took place.
        location:
          type: string
          description: Full address of where the shift took place.
        metadata:
          type: object
          description: Additional, non-categorized information.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````